## gnome-kiosk 49.0

=== meson_options.txt ===
option('input-selector',
  type: 'boolean',
  value: false,
  description: 'Build input selector'
)

option('kiosk-script',
  type: 'boolean',
  value: true,
  description: 'Build kiosk script example'
)

option('search-app',
  type: 'boolean',
  value: true,
  description: 'Build kiosk search app example'
)

## gnome-kiosk 45.0

=== debian/changelog ===
gnome-kiosk (45.0-2) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Add patch applied upstream to use gnome-text-editor instead of gedit
  * Add patch applied upstream to set NoDisplay=true for kiosk script
  * Depend on gnome-text-editor instead of gedit

  [ Mohammed Sadiq ]
  * debian: Add lintian-overrides for gnome-kiosk-search-appliance

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 08:53:03 -0500

gnome-kiosk (45.0-1) experimental; urgency=medium

  * Initial release (Closes: #1017026)

 -- Mohammed Sadiq <sadiq@sadiqpk.org>  Sat, 06 Jan 2024 16:47:48 +0530

=== debian/control ===
Source: gnome-kiosk
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Mohammed Sadiq <sadiq@sadiqpk.org>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dconf-cli,
               libgnome-desktop-4-dev,
               libgtk-4-dev,
               libibus-1.0-dev,
               libmutter-13-dev,
               libsystemd-dev [linux-any],
               meson,
               systemd [linux-any]
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.gnome.org/GNOME/gnome-kiosk
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-kiosk
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-kiosk.git

Package: gnome-kiosk
Architecture: linux-any
Depends: gnome-settings-daemon,
         gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-kiosk-search-appliance (= ${source:Version}),
            gnome-kiosk-script-session (= ${source:Version})
Description: mutter based compositor for kiosks
 GNOME Kiosk provides a desktop environment suitable for fixed purpose, or
 single application deployments like wall displays and point-of-sale systems.
 .
 It provides a very minimal wayland display server and compositor and Xorg
 compositor and window manager. It automatically starts applications fullscreen.
 .
 Notably, GNOME Kiosk features no panels, dashes, or docks that could distract
 from the application using it as a platform.

Package: gnome-kiosk-search-appliance
Architecture: all
Depends: gnome-kiosk,
         firefox-esr | firefox,
         ${misc:Depends}
Description: Example search application application that uses GNOME Kiosk
 This package provides a full screen firefox window pointed to google.

Package: gnome-kiosk-script-session
Architecture: all
Depends: gnome-kiosk,
         gnome-text-editor,
         ${misc:Depends}
Description: Basic session used for running kiosk application from shell script
 This package generates a shell script and the necessary scaffolding
 to start that shell script within a kiosk session.

## gnome-kiosk 46.0

=== debian/changelog ===
gnome-kiosk (46.0-3) unstable; urgency=medium

  * Update Build-Depends: systemd → systemd-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Jul 2024 07:33:29 -0400

gnome-kiosk (46.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 21:26:08 -0400

gnome-kiosk (46.0-1) experimental; urgency=medium

  * New upstream release
  * Build against mutter 46
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 16:14:50 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libibus-1.0-dev,
-               libmutter-13-dev,
+               libmutter-14-dev,
                libsystemd-dev [linux-any],
                meson,
-               systemd [linux-any]
+               systemd-dev [linux-any]
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/GNOME/gnome-kiosk

## gnome-kiosk 47~alpha

=== debian/changelog ===
gnome-kiosk (47~alpha-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 47
  * Bump Standards Version to 4.7.0
  * Add Provides: x-session-manager

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 16:33:53 -0400

## gnome-kiosk 47.0

=== debian/changelog ===
gnome-kiosk (47.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 18:07:21 -0400

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libibus-1.0-dev,
-               libmutter-14-dev,
+               libmutter-15-dev,
                libsystemd-dev [linux-any],
                meson,
                systemd-dev [linux-any]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/GNOME/gnome-kiosk
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-kiosk
@@ -42,7 +42,8 @@
 Depends: gnome-kiosk,
          firefox-esr | firefox,
          ${misc:Depends}
-Description: Example search application application that uses GNOME Kiosk
+Provides: x-session-manager
+Description: Example search application that uses GNOME Kiosk
  This package provides a full screen firefox window pointed to google.
 
 Package: gnome-kiosk-script-session
@@ -50,6 +51,7 @@
 Depends: gnome-kiosk,
          gnome-text-editor,
          ${misc:Depends}
+Provides: x-session-manager
 Description: Basic session used for running kiosk application from shell script
  This package generates a shell script and the necessary scaffolding
  to start that shell script within a kiosk session.

## gnome-kiosk 48~alpha

=== debian/changelog ===
gnome-kiosk (48~alpha-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 48
  * Add Build-Depends: desktop-file-utils

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 09:40:04 -0500

gnome-kiosk (47.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:17:20 -0400

## gnome-kiosk 48~rc

=== debian/changelog ===
gnome-kiosk (48~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/gnome-kiosk-search-appliance.install: Install systemd user session

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 14:02:14 -0500

gnome-kiosk (48~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:30:35 -0500

## gnome-kiosk 48.0

=== debian/changelog ===
gnome-kiosk (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 10:47:24 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dconf-cli,
+               desktop-file-utils,
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libibus-1.0-dev,
-               libmutter-15-dev,
+               libmutter-16-dev,
                libsystemd-dev [linux-any],
                meson,
                systemd-dev [linux-any]

## gnome-kiosk 49~alpha.1.2

=== debian/changelog ===
gnome-kiosk (49~alpha.1.2-0ubuntu2) questing; urgency=medium

  * debian/control: Drop x-session-manager provides

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 16 Jul 2025 10:58:58 +0200

gnome-kiosk (49~alpha.1.2-0ubuntu1) questing; urgency=medium

  * New upstream release
  * debian/control: Bump libmutter build-dep
  * debian/install: Drop xsessions targets

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 16 Jul 2025 10:17:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-kiosk
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Mohammed Sadiq <sadiq@sadiqpk.org>,
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -10,15 +11,15 @@
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libibus-1.0-dev,
-               libmutter-16-dev,
+               libmutter-17-dev,
                libsystemd-dev [linux-any],
                meson,
                systemd-dev [linux-any]
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/GNOME/gnome-kiosk
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-kiosk
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-kiosk.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-kiosk/-/tree/ubuntu/questing
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-kiosk.git -b ubuntu/questing
 
 Package: gnome-kiosk
 Architecture: linux-any
@@ -43,7 +44,6 @@
 Depends: gnome-kiosk,
          firefox-esr | firefox,
          ${misc:Depends}
-Provides: x-session-manager
 Description: Example search application that uses GNOME Kiosk
  This package provides a full screen firefox window pointed to google.
 
@@ -52,7 +52,6 @@
 Depends: gnome-kiosk,
          gnome-text-editor,
          ${misc:Depends}
-Provides: x-session-manager
 Description: Basic session used for running kiosk application from shell script
  This package generates a shell script and the necessary scaffolding
  to start that shell script within a kiosk session.

## gnome-kiosk 49.0

=== debian/changelog ===
gnome-kiosk (49.0-3) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jan 2026 18:14:02 -0500

gnome-kiosk (49.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 08:35:56 -0400

gnome-kiosk (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/docs: Install CONFIG.md and window-config.ini
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

  [ Alessandro Astone ]
  * debian/control: Bump libmutter build-dep
  * debian/install: Drop xsessions targets
  * debian/control: Drop x-session-manager provides

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 07:10:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: gnome-kiosk
 Section: gnome
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Mohammed Sadiq <sadiq@sadiqpk.org>,
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -15,11 +13,10 @@
                libsystemd-dev [linux-any],
                meson,
                systemd-dev [linux-any]
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/gnome-kiosk
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-kiosk/-/tree/ubuntu/questing
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-kiosk.git -b ubuntu/questing
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gnome-kiosk
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gnome-kiosk.git
 
 Package: gnome-kiosk
 Architecture: linux-any

## gnome-kiosk 50~beta

=== meson_options.txt ===
--- 
+++ 
@@ -15,3 +15,15 @@
   value: true,
   description: 'Build kiosk search app example'
 )
+
+option('accessibility-panel',
+  type: 'boolean',
+  value: false,
+  description: 'Build accessibility panel'
+)
+
+option('notification-daemon',
+  type: 'boolean',
+  value: false,
+  description: 'Build notification daemon'
+)

=== debian/changelog ===
gnome-kiosk (50~beta-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/p: Rebase patches
  * d/control: Bump libmutter dependency
  * d/install: Update file list
  * TODO: Consider enabling accessibility-panel and notification-daemon

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Feb 2026 15:09:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgnome-desktop-4-dev,
                libgtk-4-dev,
                libibus-1.0-dev,
-               libmutter-17-dev,
+               libmutter-18-dev,
                libsystemd-dev [linux-any],
                meson,
                systemd-dev [linux-any]
